import SigninForm from "@/components/form/SigninForm";
import Screen from "@/components/ui/Screen";
import Text from "@/components/ui/Text";
import { Link } from "expo-router";
import { View } from "react-native";

export default function SigninPage() {
  return (
    <Screen>
      <View className="justify-center h-full gap-4">
        <View className="gap-2">
          <Text position="center" size="3xl" weight="bold">
            Inscris-toi gratuitement
          </Text>
          <Text size="xl" position="center">
            Génère un programme personnalisé en quelques clics et 1 minute !
          </Text>
        </View>
        <SigninForm />
        <Text position="center">
          Tu as déjà un compte ?{" "}
          <Link href="/log-in">
            <Text isLink={true} weight="bold">
              Connectes-toi !
            </Text>
          </Link>
        </Text>
      </View>
    </Screen>
  );
}
