import React from "react";
import {NOT_FOUND} from "@/components/Errors";
import Error from "@/app/(utility)/Error";
import notFoundPict from "@/assets/images/NotFound.png";

export default function NotFound() {
    return (
        <Error
            picture={notFoundPict}
            problem="Introuvable"
            description={NOT_FOUND}
            information="Status Code : 404"
        />
    );
}