import React from "react";
import SegmentedControl, {
  SegmentedControlProps,
} from "@react-native-segmented-control/segmented-control";

export default React.forwardRef<any, SegmentedControlProps>(
  (props, ref): React.ReactElement => {
    return (
      <SegmentedControl
        fontStyle={{
          fontSize: 16,
          fontWeight: "bold",
          color: "black",
        }}
        tintColor="#60A5FA"
        backgroundColor="#D1D5DB"
        {...ref}
        {...props}
      />
    );
  }
);
